Skip to main content
PATCH
/
providers
/
{id}
Update provider
curl --request PATCH \
  --url https://api.prequel.co/import/providers/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "name": "<string>",
  "is_enabled": true,
  "products": [
    "<string>"
  ]
}
'
{
  "name": "Customer EU",
  "id": "usr_abc",
  "datalake_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "is_enabled": false,
  "created_at": "2023-11-07T05:31:56Z",
  "products": [
    "<string>"
  ]
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

Body

application/json
name
string
is_enabled
boolean
products
string[]

Response

Updated

name
string
required
Example:

"Customer EU"

id
string
required

User-provided immutable provider identifier.

Example:

"usr_abc"

datalake_id
string<uuid>
required
is_enabled
boolean
default:false
required
created_at
string<date-time>
required
products
string[]

Product names.